play.exceptions

## Class RestartNeededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - play.exceptions.RestartNeededException

- All Implemented Interfaces:
    java.io.Serializable

      public class RestartNeededException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestartNeededException(java.lang.String message)`
    `RestartNeededException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RestartNeededException

          public RestartNeededException(java.lang.String message)

    - #### RestartNeededException

          public RestartNeededException(java.lang.String message,
                                        java.lang.Throwable cause)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly